/// <reference path="../../../../../../../src/@types/@kano/kwc-blockly/blockly.d.ts" />
import { Stepper } from '../../../../creator/stepper/stepper.js';
import { Editor } from '../../../../editor/editor.js';
import { Workspace, Field } from '@kano/kwc-blockly/blockly.js';
import { KanoCodeChallenge } from '../../challenge/kano-code.js';
import '../../challenge/index.js';
import { ICreatorHelper } from '../../../../creator/index.js';
export declare class BlocklyStepper extends Stepper {
    engine: KanoCodeChallenge;
    private aliases;
    protected helpers: ICreatorHelper[];
    constructor(editor: Editor);
    reset(): void;
    stepTo(index: number, data: any): void;
    renderId(workpsace: Workspace, id: string): import("@kano/kwc-blockly/blockly.js").Block;
    renderStep(workspace: Workspace, step: any, index: number, original: any): void;
    renderAddPart(step: any, index: number, original: any): void;
    renderCreate(workspace: Workspace, step: any, index: number, original: any): void;
    getOriginalStepIndex(index: number, mappings: Map<number, number>): number;
    getOriginalStep(steps: any[], index: number, mappings: Map<number, number>): any;
    renderConnect(workspace: Workspace, validation: any, index: number): void;
    renderValue(workspace: Workspace, validation: any, index: number, original: any): void;
    runFieldHelper(field: Field, value: string, workspace: Workspace): string;
    renderGeneratorStep(workspace: Workspace, validation: any, index: number, type: string, original: any): import("@kano/kwc-blockly/blockly.js").Block;
    renderCustomStep(workspace: Workspace, validation: any, index: number, original: any): void;
    renderStartStep(workspace: Workspace, validation: any, index: number, original: any): void;
    renderBannerStep(workspace: Workspace, validation: any, index: number, original: any): void;
    createBlock(workspace: Workspace, type: string): import("@kano/kwc-blockly/blockly.js").Block;
    dispose(): void;
}
